body {
    padding: 0;
    margin: 0;
    max-width: 100%;
    max-height: 100%;
    height: 100%;
    display: grid;
    grid-template-columns: repeat(12, calc((100% - 220px) / 12));
    grid-column-gap: 20px;
    box-sizing: border-box;
    overflow-x: hidden;
    background-color: #d0d0d0;
}

div.content {
    background-color: #fff;
    grid-column: 1/13;
    height: 100%;
    display: grid;
    grid-template-columns: repeat(12, calc((100% - 220px) / 12));
    grid-column-gap: 20px;
    box-sizing: border-box;
    margin: 45px;
}

div.content > h1:first-of-type {
    grid-column: 2/4;
    margin-top: 40px;
}

div.content > input {
    grid-column: 5/11;
    height: 30px;
    margin-top: 40px;
    background-color: #f2f2f2;
    border: 0px;
    font-size: 14pt;
    padding: 10px;
}

div.content > input:focus {
    border: 0px;
}

div.content > h1:nth-of-type(2) {
    grid-column: 5/9;
    text-align: center;
}

div.content > div:nth-of-type(1), div.content > div:nth-of-type(2) {
    background-color: #b5cd73;
    height: 10px;
    margin-top: 40px;
}

div.content > div:nth-of-type(1) {
    grid-column: 1/5;
}

div.content > div:nth-of-type(2) {
    grid-column: 9/13;
}

.filters {
    grid-column: 2/12;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;
}

.filters > div, .tags > div {
    background-color: #f2f2f2;
    padding: 15px;
    border-radius: 10px;
    margin: 10px 10px;
    vertical-align: middle;
}

.filters > div:hover, .tags > div:hover {
    color: #b5cd73;
    cursor: pointer;
    background-color: #d0d0d0;
}

.news {
    grid-column: 2/12;
    display: grid;
    grid-template-columns: repeat(11, calc((100% - 200px) / 11));
    grid-column-gap: 20px;
}

.news > a {
    grid-column: 1/12;
    display: flex;
    flex-direction: row;
    margin-top: 30px;
    overflow: hidden;
    height: 300px;
}

.news > a:hover .preview div{
	position: relative;
	transform: translate3d(0px, 150px, 0px);
}

.preview > img{
    width: 300px;
    height: 250px;
}

.preview div {
	background-color: #b5cd73;
	height: 100%;
	transition: transform 1s ease-in-out;
	text-align: center;
	padding-top: 5px;
}

.news .description, .news .date {
    padding: 0 25px;
}

.news .tags {
    display: flex;
    flex-direction: row;
    align-content: center;
    justify-content: center;
}
.tags div{
	margin-left: 30px;
}

a {
    color: #000;
}

.tags > div {
    animation: 2s show infinite;
}

@keyframes show {
  from { opacity: 0.5; }
  to { opacity: 1; }
}

.text{
	width: 100%;
	font-size: 20px;
}

@media (max-width: 960px) {
    body {
        grid-template-columns: repeat(8, calc((100% - 140px) / 8));
    }
    
    div.content {
        grid-column: 1/9;
        grid-template-columns: repeat(8, calc((100% - 140px) / 8));
        margin: 0;
        padding-top: 45px;
    }
    
    div.content > h1:first-of-type {
        grid-column: 2/4;
    }
    
    div.content > input {
        grid-column: 5/8;
    }
    
    div.content > h1:nth-of-type(2) {
        display: none;
    }
    
    div.content > div:nth-of-type(1) {
        grid-column: 1/4;
    }
    
    div.content > div:nth-of-type(2) {
        grid-column: 4/9;
    }
    
    .filters {
        grid-column: 2/8;
    }
    
    .news {
        grid-column: 1/9;
        grid-template-columns: repeat(8, calc((100% - 140px) / 8));
        margin: 0 45px 100px;
    }
    
    .news > a {
        grid-column: 1/9;
        height: 200px;
        
    }

    .preview > div {
        display: none;
    }
    
    .preview > img{
        width: 200px;
        height: 150px;
    }
}

@media (max-width: 650px) {
    .news > a {
        flex-wrap: wrap;
        margin: 30px 0;
        height: 100%;
    }

    .preview {
        margin: 0 auto;
    }

    .preview > div {
        display: none;
    }
}

@media (max-width: 480px) {
    body {
        grid-template-columns: repeat(6, calc((100% - 100px) / 6));
    }
    
    div.content {
        grid-column: 1/7;
        grid-template-columns: repeat(6, calc((100% - 100px) / 6));
    }
    
    div.content > h1:first-of-type {
        grid-column: 1/7;
        text-align: center;
    }
    
    div.content > input {
        grid-column: 2/6;
        margin: 10px auto;
    }
    
    div.content > div:nth-of-type(1) {
        grid-column: 1/7;
    }
    
    div.content > div:nth-of-type(2), .filters, div.content > h1:nth-of-type(2) {
        display: none;
    }
    
    .news {
        grid-column: 1/7;
        grid-template-columns: repeat(6, calc((100% - 100px) / 6));
        margin: 0 45px 100px;
    }
    
    .news > a {
        grid-column: 1/7;
    }
    
    .preview {
        margin: 0 auto;
    }

    .preview > div {
        display: none;
    }

    .preview > img{
        width: 150px;
        height: 150px;
    }
}